"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConstastTypeMap = exports.ImageDisplayMode = exports.SelectType = void 0;
var SelectType;
exports.SelectType = SelectType;

(function (SelectType) {
  SelectType["auto"] = "auto";
  SelectType["int"] = "int";
  SelectType["oneDecimal"] = "oneDecimal";
  SelectType["twoDecimal"] = "twoDecimal";
  SelectType["percent"] = "percent";
  SelectType["oneDecimalPercent"] = "oneDecimalPercent";
  SelectType["twoDecimalPercent"] = "twoDecimalPercent";
  SelectType["custom"] = "custom";
})(SelectType || (exports.SelectType = SelectType = {}));

var ImageDisplayMode;
exports.ImageDisplayMode = ImageDisplayMode;

(function (ImageDisplayMode) {
  ImageDisplayMode[ImageDisplayMode["LEFT"] = 0] = "LEFT";
  ImageDisplayMode[ImageDisplayMode["CENTER"] = 1] = "CENTER";
  ImageDisplayMode[ImageDisplayMode["RIGHT"] = 2] = "RIGHT";
  ImageDisplayMode[ImageDisplayMode["CLIP"] = 3] = "CLIP";
  ImageDisplayMode[ImageDisplayMode["STRETCH"] = 4] = "STRETCH";
})(ImageDisplayMode || (exports.ImageDisplayMode = ImageDisplayMode = {}));

var ConstastTypeMap = {
  dateRegion: ['DAY_DAY_RING_RATIO', 'DAY_WEEK_RATIO', 'DAY_MONTH_RATIO', 'DAY_YEAR_RATIO'],
  weekRegion: ['WEEK_WEEK_RING_RATIO', 'WEEK_YEAR_RATIO'],
  monthRegion: ['MONTH_MONTH_RING_RATIO', 'MONTH_YEAR_RATIO'],
  quarterRegion: ['QUARTER_QUARTER_RING_RATIO', 'QUARTER_YEAR_RATIO'],
  yearRegion: ['YEAR_YEAR_RING_RATIO']
};
exports.ConstastTypeMap = ConstastTypeMap;