"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DsType = exports.DsCreateOriginEnum = void 0;
var DsCreateOriginEnum;
exports.DsCreateOriginEnum = DsCreateOriginEnum;

(function (DsCreateOriginEnum) {
  DsCreateOriginEnum[DsCreateOriginEnum["QUICKBI"] = 1] = "QUICKBI";
  DsCreateOriginEnum[DsCreateOriginEnum["SYCM"] = 2] = "SYCM";
  DsCreateOriginEnum[DsCreateOriginEnum["DING_TALK"] = 3] = "DING_TALK";
  DsCreateOriginEnum[DsCreateOriginEnum["ASSET_PLATFORM"] = 4] = "ASSET_PLATFORM";
})(DsCreateOriginEnum || (exports.DsCreateOriginEnum = DsCreateOriginEnum = {}));

var DsType;
exports.DsType = DsType;

(function (DsType) {
  DsType["file"] = "file";
  DsType["clivia"] = "clivia";
  DsType["quickindex"] = "quickindex";
  DsType["api_datasource"] = "api_datasource";
  DsType["odps"] = "odps";
  DsType["maxcompute"] = "maxcompute";
  DsType["mysql"] = "mysql";
  DsType["mysql_hybrid"] = "mysql_hybrid";
  DsType["garuda"] = "garuda";
  DsType["sqlserver"] = "sqlserver";
  DsType["greenplum"] = "greenplum";
  DsType["ppas"] = "ppas";
  DsType["oracle"] = "oracle";
  DsType["postgresql"] = "postgresql";
  DsType["hive"] = "hive";
  DsType["vertica"] = "vertica";
  DsType["db2"] = "db2";
  DsType["sybase"] = "sybase";
  DsType["hana"] = "hana";
  DsType["dla"] = "dla";
  DsType["oss"] = "oss";
  DsType["drds"] = "drds";
  DsType["presto"] = "presto";
  DsType["adb"] = "adb";
  DsType["polardb"] = "polardb";
  DsType["impala"] = "impala";
  DsType["multiDatasource"] = "multiDatasource";
  DsType["tsdb"] = "tsdb";
  DsType["hbase"] = "hbase";
  DsType["dataphin_odps"] = "dataphin_odps";
  DsType["dataphin_hive"] = "dataphin_hive";
  DsType["kbase"] = "kbase";
  DsType["clickhouse"] = "clickhouse";
  DsType["gbase"] = "gbase";
  DsType["polardb_pg"] = "polardb_pg";
  DsType["hologres"] = "hologres";
  DsType["teradata"] = "teradata";
  DsType["spark_sql"] = "spark_sql";
})(DsType || (exports.DsType = DsType = {}));