export var ComponentType;

(function (ComponentType) {
  ComponentType[ComponentType["CUSTOM"] = 0] = "CUSTOM";
  ComponentType[ComponentType["TABLE"] = 1] = "TABLE";
  ComponentType[ComponentType["BAR"] = 2] = "BAR";
  ComponentType[ComponentType["LINE"] = 3] = "LINE";
  ComponentType[ComponentType["PIE"] = 4] = "PIE";
  ComponentType[ComponentType["BUBBLE_MAP"] = 5] = "BUBBLE_MAP";
  ComponentType[ComponentType["COLOR_MAP"] = 6] = "COLOR_MAP";
  ComponentType[ComponentType["RADAR"] = 7] = "RADAR";
  ComponentType[ComponentType["SCATTER"] = 9] = "SCATTER";
  ComponentType[ComponentType["FUNNEL"] = 10] = "FUNNEL";
  ComponentType[ComponentType["INDICATOR"] = 11] = "INDICATOR";
  ComponentType[ComponentType["TREEMAP"] = 16] = "TREEMAP";
  ComponentType[ComponentType["GAUGE"] = 20] = "GAUGE";
  ComponentType[ComponentType["TEXT"] = 17] = "TEXT";
  ComponentType[ComponentType["QUERY"] = 18] = "QUERY";
  ComponentType[ComponentType["DATEPICKER"] = 19] = "DATEPICKER";
  ComponentType[ComponentType["POLAR"] = 8] = "POLAR";
  ComponentType[ComponentType["WORDCLOUD"] = 12] = "WORDCLOUD";
  ComponentType[ComponentType["TORNADO"] = 13] = "TORNADO";
  ComponentType[ComponentType["TREE"] = 14] = "TREE";
  ComponentType[ComponentType["PATH"] = 15] = "PATH";
  ComponentType[ComponentType["IFRAME"] = 21] = "IFRAME";
  ComponentType[ComponentType["TAB"] = 22] = "TAB";
  ComponentType[ComponentType["PIC"] = 23] = "PIC";
  ComponentType[ComponentType["LBS_BUBBLE_MAP"] = 24] = "LBS_BUBBLE_MAP";
  ComponentType[ComponentType["LBS_MAP"] = 24] = "LBS_MAP";
  ComponentType[ComponentType["POLYLINE"] = 25] = "POLYLINE";
  ComponentType[ComponentType["STRIP"] = 26] = "STRIP";
  ComponentType[ComponentType["PROGRESS"] = 27] = "PROGRESS";
  ComponentType[ComponentType["PERSPECTIVE"] = 28] = "PERSPECTIVE";
  ComponentType[ComponentType["BUBBLE"] = 29] = "BUBBLE";
  ComponentType[ComponentType["RADICAL_BAR"] = 30] = "RADICAL_BAR";
  ComponentType[ComponentType["MAP_LBS_LINE"] = 31] = "MAP_LBS_LINE";
  ComponentType[ComponentType["MAP_LBS_HEAT"] = 32] = "MAP_LBS_HEAT";
  ComponentType[ComponentType["MAP_3D_WORLD"] = 33] = "MAP_3D_WORLD";
  ComponentType[ComponentType["MAP_3D_CHINA"] = 34] = "MAP_3D_CHINA";
  ComponentType[ComponentType["OFFLINE"] = 35] = "OFFLINE";
  ComponentType[ComponentType["MAP_3D_SPHERE"] = 36] = "MAP_3D_SPHERE";
  ComponentType[ComponentType["LINE_STACK"] = 37] = "LINE_STACK";
  ComponentType[ComponentType["POLYLINE_STACK"] = 38] = "POLYLINE_STACK";
  ComponentType[ComponentType["POLYLINE_STACK_PERCENT"] = 39] = "POLYLINE_STACK_PERCENT";
  ComponentType[ComponentType["STRIP_STACK"] = 40] = "STRIP_STACK";
  ComponentType[ComponentType["STRIP_STACK_PERCENT"] = 41] = "STRIP_STACK_PERCENT";
  ComponentType[ComponentType["BAR_STACK"] = 42] = "BAR_STACK";
  ComponentType[ComponentType["BAR_STACK_PERCENT"] = 43] = "BAR_STACK_PERCENT";
  ComponentType[ComponentType["MAP_LBS_CONTRAIL"] = 44] = "MAP_LBS_CONTRAIL";
  ComponentType[ComponentType["MAP_LBS_DYNAMICTRAIL"] = 45] = "MAP_LBS_DYNAMICTRAIL";
  ComponentType[ComponentType["MAP_REGION_BUBBLE"] = 46] = "MAP_REGION_BUBBLE";
  ComponentType[ComponentType["MAP_REGION_COLOR"] = 47] = "MAP_REGION_COLOR";
  ComponentType[ComponentType["COMBINATION"] = 48] = "COMBINATION";
  ComponentType[ComponentType["DashBoard"] = 49] = "DashBoard";
  ComponentType[ComponentType["ADVANCED_QUERY"] = 50] = "ADVANCED_QUERY";
  ComponentType[ComponentType["WATERFALL"] = 51] = "WATERFALL";
  ComponentType[ComponentType["SANKEY"] = 52] = "SANKEY";
  ComponentType[ComponentType["INDICATOR_TREND"] = 53] = "INDICATOR_TREND";
  ComponentType[ComponentType["RANKING_LIST"] = 54] = "RANKING_LIST";
  ComponentType[ComponentType["FLIPPER"] = 55] = "FLIPPER";
  ComponentType[ComponentType["FROMTO"] = 56] = "FROMTO";
  ComponentType[ComponentType["MAP_COLOR_NEW"] = 57] = "MAP_COLOR_NEW";
  ComponentType[ComponentType["MAP_BUBBLE_NEW"] = 58] = "MAP_BUBBLE_NEW";
  ComponentType[ComponentType["SCATTER_NEW"] = 59] = "SCATTER_NEW";
  ComponentType[ComponentType["QUERY2"] = 60] = "QUERY2";
  ComponentType[ComponentType["FUNNEL_NEW"] = 61] = "FUNNEL_NEW";
  ComponentType[ComponentType["FUNNEL_NEW_COMPARE"] = 62] = "FUNNEL_NEW_COMPARE";
  ComponentType[ComponentType["GAUGE_NEW"] = 63] = "GAUGE_NEW";
  ComponentType[ComponentType["WATERWAVE"] = 64] = "WATERWAVE";
  ComponentType[ComponentType["PROGRESS_NEW"] = 65] = "PROGRESS_NEW";
  ComponentType[ComponentType["INDICATOR_CARD"] = 66] = "INDICATOR_CARD";
  ComponentType[ComponentType["DECOMPOSITION_TREE"] = 67] = "DECOMPOSITION_TREE";
  ComponentType[ComponentType["BAR_CHART_RACE"] = 68] = "BAR_CHART_RACE";
  ComponentType[ComponentType["STORY_TIMELINE"] = 69] = "STORY_TIMELINE";
  ComponentType[ComponentType["CROSS_TABLE"] = 70] = "CROSS_TABLE";
  ComponentType[ComponentType["LBS_SYMBOL_MAP"] = 71] = "LBS_SYMBOL_MAP";
  ComponentType[ComponentType["COMMON_TABLE"] = 73] = "COMMON_TABLE";
  ComponentType[ComponentType["ANALYSE_TABLE"] = 72] = "ANALYSE_TABLE";
  ComponentType[ComponentType["EXCEL_CROSS_TABLE"] = 74] = "EXCEL_CROSS_TABLE";
  ComponentType[ComponentType["TREND_TABLE"] = 75] = "TREND_TABLE";
  ComponentType[ComponentType["CHILD_CUBE"] = 76] = "CHILD_CUBE";
  ComponentType[ComponentType["QUICK_REPORT_CROSS_TABLE"] = 77] = "QUICK_REPORT_CROSS_TABLE";
})(ComponentType || (ComponentType = {}));

export var ChartType;

(function (ChartType) {
  ChartType["root"] = "root";
  ChartType["line"] = "line";
  ChartType["line-stack"] = "line-stack";
  ChartType["polyline"] = "polyline";
  ChartType["polyline-stack"] = "polyline-stack";
  ChartType["polyline-stack-percent"] = "polyline-stack-percent";
  ChartType["bar"] = "bar";
  ChartType["bar-stack"] = "bar-stack";
  ChartType["bar-stack-percent"] = "bar-stack-percent";
  ChartType["radical-bar"] = "radical-bar";
  ChartType["strip"] = "strip";
  ChartType["strip-stack"] = "strip-stack";
  ChartType["strip-stack-percent"] = "strip-stack-percent";
  ChartType["pie"] = "pie";
  ChartType["map.bubble"] = "map.bubble";
  ChartType["map.color"] = "map.color";
  ChartType["map.bubble.new"] = "map.bubble.new";
  ChartType["map.color.new"] = "map.color.new";
  ChartType["map.region.color"] = "map.region.color";
  ChartType["map.region.bubble"] = "map.region.bubble";
  ChartType["map.lbs"] = "map.lbs";
  ChartType["map.lbs.bubble"] = "map.lbs.bubble";
  ChartType["map.lbs.heat"] = "map.lbs.heat";
  ChartType["map.lbs.line"] = "map.lbs.line";
  ChartType["map.lbs.symbol"] = "map.lbs.symbol";
  ChartType["map.lbs.contrail"] = "map.lbs.contrail";
  ChartType["map.lbs.dynamictrail"] = "map.lbs.dynamictrail";
  ChartType["map.3d.world"] = "map.3d.world";
  ChartType["map.3d.china"] = "map.3d.china";
  ChartType["map.3d.sphere"] = "map.3d.sphere";
  ChartType["table"] = "table";
  ChartType["perspective"] = "perspective";
  ChartType["gauge"] = "gauge";
  ChartType["gauge.new"] = "gauge.new";
  ChartType["waterwave"] = "waterwave";
  ChartType["progress.new"] = "progress.new";
  ChartType["radar"] = "radar";
  ChartType["scatter"] = "scatter";
  ChartType["scatter.new"] = "scatter.new";
  ChartType["funnel"] = "funnel";
  ChartType["indicator"] = "indicator";
  ChartType["indicator-card"] = "indicator-card";
  ChartType["treemap"] = "treemap";
  ChartType["polar"] = "polar";
  ChartType["wordCloud"] = "wordCloud";
  ChartType["tornado"] = "tornado";
  ChartType["tree"] = "tree";
  ChartType["path"] = "path";
  ChartType["progress"] = "progress";
  ChartType["bubble"] = "bubble";
  ChartType["offline"] = "offline";
  ChartType["query"] = "query";
  ChartType["iframe"] = "iframe";
  ChartType["text"] = "text";
  ChartType["tab"] = "tab";
  ChartType["pic"] = "pic";
  ChartType["waterfall"] = "waterfall";
  ChartType["sankey"] = "sankey";
  ChartType["advanced_query"] = "advanced-query";
  ChartType["ranking-list"] = "ranking-list";
  ChartType["flipper"] = "flipper";
  ChartType["fromto"] = "fromto";
  ChartType["indicator-trend"] = "indicator-trend";
  ChartType["combination"] = "combination";
  ChartType["query2"] = "query2";
  ChartType["funnel.new"] = "funnel.new";
  ChartType["funnel.new.compare"] = "funnel.new.compare";
  ChartType["decomposition-tree"] = "decomposition-tree";
  ChartType["bar-chart-race"] = "bar-chart-race";
  ChartType["story-timeline"] = "story-timeline";
  ChartType["tab-panel"] = "tab-panel";
  ChartType["custom"] = "custom";
  ChartType["cross-table"] = "cross-table";
  ChartType["excel-cross-table"] = "excel-cross-table";
  ChartType["quick-report-cross-table"] = "quick-report-cross-table";
  ChartType["story-builder"] = "story-builder";
  ChartType["common-table"] = "common-table";
  ChartType["child-cube"] = "child-cube";
  ChartType["trend-table"] = "trend-table";
})(ChartType || (ChartType = {}));