import _classCallCheck from "@babel/runtime/helpers/classCallCheck.js";
export var CommonCompInputAreaTypeEnum;

(function (CommonCompInputAreaTypeEnum) {
  CommonCompInputAreaTypeEnum["areaType"] = "area_type";
  CommonCompInputAreaTypeEnum["areaDim"] = "area_dim";
  CommonCompInputAreaTypeEnum["areaRow"] = "area_row";
  CommonCompInputAreaTypeEnum["areaColumn"] = "area_column";
  CommonCompInputAreaTypeEnum["areaValue"] = "area_value";
  CommonCompInputAreaTypeEnum["areaMeasure"] = "area_measure";
  CommonCompInputAreaTypeEnum["filters"] = "filters";
})(CommonCompInputAreaTypeEnum || (CommonCompInputAreaTypeEnum = {}));

export var RetainAreaId;

(function (RetainAreaId) {
  RetainAreaId["drill"] = "drill";
  RetainAreaId["filters"] = "filters";
})(RetainAreaId || (RetainAreaId = {}));

export var QueryAxisType;

(function (QueryAxisType) {
  QueryAxisType["drill"] = "drill";
  QueryAxisType["row"] = "row";
  QueryAxisType["column"] = "column";
  QueryAxisType["filters"] = "filters";
})(QueryAxisType || (QueryAxisType = {}));

export var FieldType;

(function (FieldType) {
  FieldType["dimension"] = "dimension";
  FieldType["measure"] = "measure";
})(FieldType || (FieldType = {}));

export var FieldGroupType;

(function (FieldGroupType) {
  FieldGroupType["dimensionGroup"] = "dimensionGroup";
  FieldGroupType["measureGroup"] = "measureGroup";
})(FieldGroupType || (FieldGroupType = {}));

export var SecondFieldType;

(function (SecondFieldType) {
  SecondFieldType["number"] = "number";
  SecondFieldType["string"] = "string";
  SecondFieldType["geographic"] = "geographic";
  SecondFieldType["imageUrl"] = "imageUrl";
  SecondFieldType["datetime"] = "datetime";
})(SecondFieldType || (SecondFieldType = {}));

export var CUSTOM_FIELD_TYPES;

(function (CUSTOM_FIELD_TYPES) {
  CUSTOM_FIELD_TYPES["VIRTUAL_FIELD"] = "VIRTUAL_FIELD";
  CUSTOM_FIELD_TYPES["AGGREGATE_CALC_FIELD"] = "AGGREGATE_CALC_FIELD";
  CUSTOM_FIELD_TYPES["FIELD_GROUP"] = "FIELD_GROUP";
})(CUSTOM_FIELD_TYPES || (CUSTOM_FIELD_TYPES = {}));

export var ResultMode;

(function (ResultMode) {
  ResultMode["SELECT_ALL"] = "selectAll";
  ResultMode["LIMIT_NUM"] = "limitNum";
})(ResultMode || (ResultMode = {}));

export var ChartStatus;

(function (ChartStatus) {
  ChartStatus["null"] = "null";
  ChartStatus["stacked"] = "stacked";
  ChartStatus["percent"] = "percent";
})(ChartStatus || (ChartStatus = {}));

export var StackedSortType;

(function (StackedSortType) {
  StackedSortType["Normal"] = "Normal";
  StackedSortType["Ascending"] = "Ascending";
  StackedSortType["Descending"] = "Descending";
})(StackedSortType || (StackedSortType = {}));

export var FreshTimeUnit;

(function (FreshTimeUnit) {
  FreshTimeUnit["min"] = "min";
  FreshTimeUnit["sec"] = "sec";
})(FreshTimeUnit || (FreshTimeUnit = {}));

export var ConfigCellType;

(function (ConfigCellType) {
  ConfigCellType["header"] = "header";
  ConfigCellType["checkbox"] = "checkbox";
  ConfigCellType["collapse"] = "collapse";
  ConfigCellType["fieldname"] = "fieldname";
  ConfigCellType["input"] = "input";
  ConfigCellType["dropdown"] = "dropdown";
  ConfigCellType["clicktext"] = "clicktext";
  ConfigCellType["selectext"] = "selectext";
  ConfigCellType["blank"] = "blank";
})(ConfigCellType || (ConfigCellType = {}));

export var ConfigColumnType;

(function (ConfigColumnType) {
  ConfigColumnType["select"] = "select";
  ConfigColumnType["fieldName"] = "fieldName";
  ConfigColumnType["fieldAlias"] = "fieldAlias";
  ConfigColumnType["fieldDesc"] = "fieldDesc";
  ConfigColumnType["aggregater"] = "aggregater";
  ConfigColumnType["format"] = "format";
  ConfigColumnType["alignment"] = "alignment";
  ConfigColumnType["sort"] = "sort";
  ConfigColumnType["contrast"] = "contrast";
  ConfigColumnType["advancedCompute"] = "advancedCompute";
  ConfigColumnType["operate"] = "operate";
  ConfigColumnType["nodeType"] = "nodeType";
  ConfigColumnType["expand"] = "expand";
})(ConfigColumnType || (ConfigColumnType = {}));

export var CheckBoxState = function CheckBoxState() {
  _classCallCheck(this, CheckBoxState);

  this.id = void 0;
  this.checked = false;
  this.indeterminate = false;
  this.parentId = void 0;
};