"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckBoxState = exports.ConfigColumnType = exports.ConfigCellType = exports.FreshTimeUnit = exports.StackedSortType = exports.ChartStatus = exports.ResultMode = exports.CUSTOM_FIELD_TYPES = exports.SecondFieldType = exports.FieldGroupType = exports.FieldType = exports.QueryAxisType = exports.RetainAreaId = exports.CommonCompInputAreaTypeEnum = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck.js"));

var CommonCompInputAreaTypeEnum;
exports.CommonCompInputAreaTypeEnum = CommonCompInputAreaTypeEnum;

(function (CommonCompInputAreaTypeEnum) {
  CommonCompInputAreaTypeEnum["areaType"] = "area_type";
  CommonCompInputAreaTypeEnum["areaDim"] = "area_dim";
  CommonCompInputAreaTypeEnum["areaRow"] = "area_row";
  CommonCompInputAreaTypeEnum["areaColumn"] = "area_column";
  CommonCompInputAreaTypeEnum["areaValue"] = "area_value";
  CommonCompInputAreaTypeEnum["areaMeasure"] = "area_measure";
  CommonCompInputAreaTypeEnum["filters"] = "filters";
})(CommonCompInputAreaTypeEnum || (exports.CommonCompInputAreaTypeEnum = CommonCompInputAreaTypeEnum = {}));

var RetainAreaId;
exports.RetainAreaId = RetainAreaId;

(function (RetainAreaId) {
  RetainAreaId["drill"] = "drill";
  RetainAreaId["filters"] = "filters";
})(RetainAreaId || (exports.RetainAreaId = RetainAreaId = {}));

var QueryAxisType;
exports.QueryAxisType = QueryAxisType;

(function (QueryAxisType) {
  QueryAxisType["drill"] = "drill";
  QueryAxisType["row"] = "row";
  QueryAxisType["column"] = "column";
  QueryAxisType["filters"] = "filters";
})(QueryAxisType || (exports.QueryAxisType = QueryAxisType = {}));

var FieldType;
exports.FieldType = FieldType;

(function (FieldType) {
  FieldType["dimension"] = "dimension";
  FieldType["measure"] = "measure";
})(FieldType || (exports.FieldType = FieldType = {}));

var FieldGroupType;
exports.FieldGroupType = FieldGroupType;

(function (FieldGroupType) {
  FieldGroupType["dimensionGroup"] = "dimensionGroup";
  FieldGroupType["measureGroup"] = "measureGroup";
})(FieldGroupType || (exports.FieldGroupType = FieldGroupType = {}));

var SecondFieldType;
exports.SecondFieldType = SecondFieldType;

(function (SecondFieldType) {
  SecondFieldType["number"] = "number";
  SecondFieldType["string"] = "string";
  SecondFieldType["geographic"] = "geographic";
  SecondFieldType["imageUrl"] = "imageUrl";
  SecondFieldType["datetime"] = "datetime";
})(SecondFieldType || (exports.SecondFieldType = SecondFieldType = {}));

var CUSTOM_FIELD_TYPES;
exports.CUSTOM_FIELD_TYPES = CUSTOM_FIELD_TYPES;

(function (CUSTOM_FIELD_TYPES) {
  CUSTOM_FIELD_TYPES["VIRTUAL_FIELD"] = "VIRTUAL_FIELD";
  CUSTOM_FIELD_TYPES["AGGREGATE_CALC_FIELD"] = "AGGREGATE_CALC_FIELD";
  CUSTOM_FIELD_TYPES["FIELD_GROUP"] = "FIELD_GROUP";
})(CUSTOM_FIELD_TYPES || (exports.CUSTOM_FIELD_TYPES = CUSTOM_FIELD_TYPES = {}));

var ResultMode;
exports.ResultMode = ResultMode;

(function (ResultMode) {
  ResultMode["SELECT_ALL"] = "selectAll";
  ResultMode["LIMIT_NUM"] = "limitNum";
})(ResultMode || (exports.ResultMode = ResultMode = {}));

var ChartStatus;
exports.ChartStatus = ChartStatus;

(function (ChartStatus) {
  ChartStatus["null"] = "null";
  ChartStatus["stacked"] = "stacked";
  ChartStatus["percent"] = "percent";
})(ChartStatus || (exports.ChartStatus = ChartStatus = {}));

var StackedSortType;
exports.StackedSortType = StackedSortType;

(function (StackedSortType) {
  StackedSortType["Normal"] = "Normal";
  StackedSortType["Ascending"] = "Ascending";
  StackedSortType["Descending"] = "Descending";
})(StackedSortType || (exports.StackedSortType = StackedSortType = {}));

var FreshTimeUnit;
exports.FreshTimeUnit = FreshTimeUnit;

(function (FreshTimeUnit) {
  FreshTimeUnit["min"] = "min";
  FreshTimeUnit["sec"] = "sec";
})(FreshTimeUnit || (exports.FreshTimeUnit = FreshTimeUnit = {}));

var ConfigCellType;
exports.ConfigCellType = ConfigCellType;

(function (ConfigCellType) {
  ConfigCellType["header"] = "header";
  ConfigCellType["checkbox"] = "checkbox";
  ConfigCellType["collapse"] = "collapse";
  ConfigCellType["fieldname"] = "fieldname";
  ConfigCellType["input"] = "input";
  ConfigCellType["dropdown"] = "dropdown";
  ConfigCellType["clicktext"] = "clicktext";
  ConfigCellType["selectext"] = "selectext";
  ConfigCellType["blank"] = "blank";
})(ConfigCellType || (exports.ConfigCellType = ConfigCellType = {}));

var ConfigColumnType;
exports.ConfigColumnType = ConfigColumnType;

(function (ConfigColumnType) {
  ConfigColumnType["select"] = "select";
  ConfigColumnType["fieldName"] = "fieldName";
  ConfigColumnType["fieldAlias"] = "fieldAlias";
  ConfigColumnType["fieldDesc"] = "fieldDesc";
  ConfigColumnType["aggregater"] = "aggregater";
  ConfigColumnType["format"] = "format";
  ConfigColumnType["alignment"] = "alignment";
  ConfigColumnType["sort"] = "sort";
  ConfigColumnType["contrast"] = "contrast";
  ConfigColumnType["advancedCompute"] = "advancedCompute";
  ConfigColumnType["operate"] = "operate";
  ConfigColumnType["nodeType"] = "nodeType";
  ConfigColumnType["expand"] = "expand";
})(ConfigColumnType || (exports.ConfigColumnType = ConfigColumnType = {}));

var CheckBoxState = function CheckBoxState() {
  (0, _classCallCheck2.default)(this, CheckBoxState);
  this.id = void 0;
  this.checked = false;
  this.indeterminate = false;
  this.parentId = void 0;
};

exports.CheckBoxState = CheckBoxState;